<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" />
  <title>Crear Usuario</title>

</head>

<body>
  Nombre:<br>
  <input type="text" id="nombre"><br>
  Cédula:<br>
  <input type="number" id="cedula"><br>
  Edad:<br>
  <input type="number" id="edad"><br>
  Estado:<br>
  <input type="radio" id="estado1" name="estado" value="1" checked>
  <label for="activo">Activo</label><br>
  <input type="radio" id="estado2" name="estado" value="0">
  <label for="activo">Inactivo</label><br>
  Dirección:<br>
  <input type="text" id="direccion"><br><br>
  Telefono 1:<br>
  <input type="text" id="telefono1"><br><br>
  Telefono 2:<br>
  <input type="text" id="telefono2"><br><br>
  Telefono 3:<br>
  <input type="text" id="telefono3"><br><br>


  <button onclick="SubmitValues()">Crear Usuario</button>


  <script type="text/javascript">
    function SubmitValues() {
      const name = document.getElementById("nombre").value;
      const id = document.getElementById("cedula").value;
      let age = document.getElementById("edad").value;
      age = age ? parseInt(age) : null;
      let active = document.querySelector("input[name=estado]:checked");
      active = active && active.value === '1' ? true : false;
      const address = document.getElementById("direccion").value;
      const phone1 = document.getElementById("telefono1").value;
      const phone2 = document.getElementById("telefono2").value;
      const phone3 = document.getElementById("telefono3").value;
      window.external.setResult(JSON.stringify({
        name: name,
        id: id,
        age: age,
        active: active,
        address: address,
        phone1: phone1,
        phone2: phone2,
        phone3: phone3
      }));
      return true;
    }
  </script>
</body>

</html>